@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.holidaysWrapper {
  display: flex;
}

.typesContainer {
  height: 100%;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  gap: 50px;
}

.holidaysType {
  display: flex;
  flex-direction: column;
}

.typeTitle {
  @include font($fontGotham, 24px, 29px);
  color: $blackColor;
  margin-bottom: 15px;
}

.holidayContainer {
  width: 100%;
  max-width: 532px;
  display: flex;
  padding: 17px 0;
  border: 1px solid $greyColor;
  border-radius: 10px;
  margin-bottom: 10px;
  cursor: pointer;

  & > div {
    padding: 0 20px;
  }
}

.nameSubtitle {
  @include font(
    $fontGothamLight !important,
    14px !important,
    16.8px !important
  );
}

.holidayName {
  @include font($fontGotham, 18px, 21.6px);
  color: $blackColor;
  white-space: nowrap;
  overflow: hidden;
  -o-text-overflow: ellipsis;
  -ms-text-overflow: ellipsis;
  text-overflow: ellipsis;
}

.sectionData {
  @include font($fontGotham, 16px, 19.2px);
  color: $greyText;
}

.majorType {
  color: $activeColor;
}

.minorType {
  color: $primaryColor;
}
